> For the complete documentation index, see [llms.txt](https://docs.mattermix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mattermix.com/api/create-api-key.md).

# Create API key

Creating an API key is necessary for using the Mattermix API. To create one, head to the *API* tab in your *Account* and click on the *Create key* button to create a new API key.

![Create a new API key for Mattermix](/files/DkZKDwzrUzMxb6RsuAxl)

Once the new API key is created, a modal will open with the new key. For added security, this is the only time you can view the key, so copy the value and keep it in a secure place. **Treat your API key like a password and do not expose or share it with anyone**.

{% hint style="warning" %}
**Warning:** Delete your API key and create a new one if it is accidentally shared or exposed to the public.
{% endhint %}

![Copy your new API key for Mattermix](/files/8DN6FvzAZva51cGln8lA)

You can now use your API key to [authenticate API requests](/api/authentication.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mattermix.com/api/create-api-key.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
